stages:
  - greetings
  - test

hello:
  stage: greetings
  script:
  - echo "hello world"

include:
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/Secret-Detection.gitlab-ci.yml

variables:
  SECURE_LOG_LEVEL: "debug"
  SECRET_DETECTION_HISTORIC_SCAN: "true"
  SECRET_DETECTION_EXCLUDED_PATHS: ".gitlab/**"

semgrep-sast:
  stage: test
  variables:
    # exlude the directory
    SAST_EXCLUDED_PATHS: .gitlab
    SEARCH_MAX_DEPTH: '20'   
  tags: [ saas-linux-large-amd64 ]
